#
#   Makefile for the Socket Send-Receive Test.
#

#
#	Macros
#

ARCH = ../Solaris
SRC      = ars.c
CC       = gcc
OPTIONS  = -DDEBUG 
CFLAGS	 = -O 
LDFLAGS	 = -lsocket -lnsl -lm
LDLIBS	 = -lmsql
TARGETS  = $(ARCH)/ars
mSQL_HOME_DIR = /gandalf/home/vdce/mSQL/Solaris 
INCLUDEDIR = $(mSQL_HOME_DIR)/include
LIBDIR = $(mSQL_HOME_DIR)/lib

#
#	Dependencies
#

all: $(TARGETS)

$(ARCH)/ars: $(ARCH)/ars.o $(ARCH)/support.o $(ARCH)/timer.o
	$(CC) $(LDFLAGS) -o $(ARCH)/ars -L$(LIBDIR) -I$(INCLUDEDIR) $(CFLAGS) $(ARCH)/ars.o $(ARCH)/support.o $(ARCH)/timer.o $(LDLIBS)

$(ARCH)/ars.o : ars.c
	$(CC) -c -o $(ARCH)/ars.o -L$(LIBDIR) -I$(INCLUDEDIR) $(CFLAGS) ars.c

$(ARCH)/support.o: support.c
	$(CC) $(CFLAGS) -c -o $(ARCH)/support.o support.c

$(ARCH)/timer.o: timer.c
	$(CC) $(CFLAGS) -c -o $(ARCH)/timer.o timer.c

clean:
	/bin/rm $(TARGETS) *.o
